# norootforbuild
%define pkg_name    clucene
%define pkg_version 0.0.9
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-clucene
Version:	%{pkg_version}
Release:	4.2
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php5-devel clucene-core-devel gcc gcc-c++
Requires:       php5 = %{php_version}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Summary:	Clucene PHP Extension

%description
This is an extension for CLucene. CLucene is a C++ port of the popular Apache Lucene text search engine.

Authors:
---------

	 	Christophe Vu-Brugier
		Pierre-Alain Joye

%debug_package

%prep
%setup -n %{pkg_name}-%{version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-clucene=%{_usr} --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable clucene extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/clucene.ini
echo "extension = clucene.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/clucene.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/clucene.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/clucene.ini

%doc CREDITS

%changelog
* Mon Jan 11 2010 Carsten Schoene <cs@linux-administrator.com> - 0.0.9-0
- initial build version 0.0.9
